-----------------------------------------------------------------------------

if not AceLibrary:HasInstance("FuBarPlugin-2.0") then return end

-----------------------------------------------------------------------------

local L = AceLibrary("AceLocale-2.2"):new("AloftFu")

L:RegisterTranslations("enUS", function() return {
	["Aloft"] = true,
    ["Fubar Options"] = true,
    ["Standard FuBar options"] = true,
	["Click to toggle nameplates."] = "|cffeda55fClick|r to toggle nameplates. ",
	["Shift-Click to open configuration."] = "|cffeda55fShift-Click|r to open configuration. ",

	["Hostile Nameplates"] = true,
	["Friendly Nameplates"] = true,
	["Enabled"] = "|cff00ff00Enabled|r",
	["Disabled"] = "|cffff0000Disabled|r",
} end)

-----------------------------------------------------------------------------

local AloftFu = AceLibrary("AceAddon-2.0"):new("FuBarPlugin-2.0", "AceEvent-2.0", "AceDB-2.0")
AloftFu:RegisterDB("AloftFuDB")
AloftFu.title = "Aloft"
AloftFu.name = "FuBar - Aloft"
AloftFu.hasIcon = "Interface\\Icons\\Spell_Frost_Wisp"	-- Placeholder
AloftFu.defaultPosition = 'LEFT'
AloftFu.hideWithoutStandby = true
AloftFu.independentProfile = true
AloftFu.hasNoColor = true
 
-----------------------------------------------------------------------------

AloftFu.OnMenuRequest = Aloft.Options

local args = AceLibrary("FuBarPlugin-2.0"):GetAceOptionsDataTable(AloftFu)
if not AloftFu.OnMenuRequest.args.fubar then
	AloftFu.OnMenuRequest.args.moduleSpacer =
	{
		type = 'header',
		order = 4,
	}
	
	AloftFu.OnMenuRequest.args.fubarSpacer =
	{
		type = 'header',
		order = 300,
	}
	
	AloftFu.OnMenuRequest.args.fubar = 
	{
		type = "group",
		name = L["Fubar Options"],
		desc = L["Standard FuBar options"],
		args = args,
		order = 400,
	}
end

-----------------------------------------------------------------------------

function AloftFu:OnTextUpdate()
	self:SetText(L["Aloft"])
end

local tablet = AceLibrary("Tablet-2.0")
function AloftFu:OnTooltipUpdate()
	local cat = tablet:AddCategory('text', "Nameplates", 'columns', 2)
	cat:AddLine('text', L["Hostile Nameplates"], 'text2', NAMEPLATES_ON and L["Enabled"] or L["Disabled"])
	cat:AddLine('text', L["Friendly Nameplates"], 'text2', FRIENDNAMEPLATES_ON and L["Enabled"] or L["Disabled"])

	local hint = L["Click to toggle nameplates."]

	if Aloft.Options.args.waterfall then
		hint = hint..L["Shift-Click to open configuration."]
	end
	    
	tablet:SetHint(hint)
end

function AloftFu:OnClick()

	if Aloft.Options.args.waterfall then
		if IsShiftKeyDown() then
				Aloft.Options.args.waterfall.func()
			return
		end
	end

	if NAMEPLATES_ON then
		HideNameplates()
		NAMEPLATES_ON = false
	else
		ShowNameplates()
		NAMEPLATES_ON = true
	end
end

-----------------------------------------------------------------------------
